Get Activities
curl --request GET \
--url https://api.copper.co/platform/organizations/{organizationId}/activitiesimport requests
url = "https://api.copper.co/platform/organizations/{organizationId}/activities"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/organizations/{organizationId}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activities": [
{
"activityId": "<string>",
"activityType": "login",
"createdAt": "<string>",
"description": "<string>",
"name": "<string>",
"organizationId": "<string>",
"portfolioId": "<string>",
"userId": "<string>"
}
]
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}organizations
Get Activities
Retrieve information about all activities in the organization
GET
/
organizations
/
{organizationId}
/
activities
Get Activities
Headers
application/json by default OR text/csv
Path Parameters
Query Parameters
Maximum number of records to return (pagination limit)
Search string based on activity name and description
Filter activities by activity types. See details
Available options:
login, invitation-cancelled, failed-login, user-permissions-update, bank-account-update, bank-account-deactivate, new-bank-account, new-crypto-address, crypto-address-deletion, clearloop-delegation-undelegation, exchange-account-update, invoice-payment, invoice-update, organisation-archiving, organisation-blocking, secondary-approval-settings, new-organisation, otc-settings, last-to-sign-settings, member-activation, new-member, member-deactivation, member-permissions-update, member-update, organisation-unarchiving, withdrawal-password-update, whitelist-lock, timelock-delay, account-activation, new-account, account-archiving, add-crypto-address-settings-update, account-settings-update, account-update, stake-agreement-review, walled-garden-manager-change, new-wallet, wallet-deposit-address-changes, order-cancellation, order-execution, order-termination, sso-configuration-creation, sso-configuration-update, sso-configuration-deactivation, wg-portfolio-secondary-approval-settings, approval-workflow-update, passkey-creation, new-api-key, api-key-revocation, api-key-transfer, credentials-reset, passkey-deletion, password-change, 2fa-change, manual-deposit-compliance-approval, manual-deposit-compliance-rejection, new-loan, loan-approved, loan-rejected, loan-accepted, loan-cancelled, loan-top-up-request, loan-top-up-accepted, loan-top-up-cancelled, loan-repayment, loan-repayment-accepted, loan-repayment-cancelled, loan-default, loan-partial-default, add-collateral-to-loan, loan-rebalance-request, loan-rebalance-accepted, loan-rebalance-cancelled, external-loan-disbursal-confirmed, external-loan-top-up-confirmed, external-loan-repayment-confirmed, loan-rerate-request, loan-rerate-accepted, loan-rerate-cancelled, loan-extension-request, loan-extension-accepted, loan-extension-cancelled Exclude activities by activity types. See details
Available options:
login, invitation-cancelled, failed-login, user-permissions-update, bank-account-update, bank-account-deactivate, new-bank-account, new-crypto-address, crypto-address-deletion, clearloop-delegation-undelegation, exchange-account-update, invoice-payment, invoice-update, organisation-archiving, organisation-blocking, secondary-approval-settings, new-organisation, otc-settings, last-to-sign-settings, member-activation, new-member, member-deactivation, member-permissions-update, member-update, organisation-unarchiving, withdrawal-password-update, whitelist-lock, timelock-delay, account-activation, new-account, account-archiving, add-crypto-address-settings-update, account-settings-update, account-update, stake-agreement-review, walled-garden-manager-change, new-wallet, wallet-deposit-address-changes, order-cancellation, order-execution, order-termination, sso-configuration-creation, sso-configuration-update, sso-configuration-deactivation, wg-portfolio-secondary-approval-settings, approval-workflow-update, passkey-creation, new-api-key, api-key-revocation, api-key-transfer, credentials-reset, passkey-deletion, password-change, 2fa-change, manual-deposit-compliance-approval, manual-deposit-compliance-rejection, new-loan, loan-approved, loan-rejected, loan-accepted, loan-cancelled, loan-top-up-request, loan-top-up-accepted, loan-top-up-cancelled, loan-repayment, loan-repayment-accepted, loan-repayment-cancelled, loan-default, loan-partial-default, add-collateral-to-loan, loan-rebalance-request, loan-rebalance-accepted, loan-rebalance-cancelled, external-loan-disbursal-confirmed, external-loan-top-up-confirmed, external-loan-repayment-confirmed, loan-rerate-request, loan-rerate-accepted, loan-rerate-cancelled, loan-extension-request, loan-extension-accepted, loan-extension-cancelled Filter activities by user IDs
Response
OK
Show child attributes
Show child attributes
Was this page helpful?